1.0
1.0
get /v1/cloudmonitorings/product/v2/users/addrbooks
Description
Search a list of address books created by user.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | page optional | Page Number (default: 0) Example : 0 | integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10 | integer | None |
| query | sort optional | Sorting Field List | array[string] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PageResponseAlarmAddrBookDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/users/addrbooks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"addrBookName": "contact name",
"addrbookId": "74",
"createdBy": "1984",
"createdByName": "김삼성",
"createdDt": "2021-10-23T22:00:00Z",
"memberCount": 10
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}